import { useTheme } from '@/components/ThemeContext';
import { CustomHeader } from '@/components/ui/Header';
import Profile from '@/screens/profile/ui/ProfileScreen';
import { SafeAreaView } from 'react-native-safe-area-context';

export default function ProfileScreen() {
  const { isDark } = useTheme();
  return (
    <SafeAreaView
      style={{ flex: 1, backgroundColor: isDark ? '#0f172a' : '#ffffff', paddingBottom: 30 }}
      edges={['top']}
    >
      <CustomHeader logoutbtn={true} />
      <Profile />
    </SafeAreaView>
  );
}
